msgpack::type::tuple<> Struct Template Reference

`#include <cpp03_msgpack_tuple.hpp>`

## Public Types

typedef tuple | value_type

## Public Member Functions

| tuple ()
| tuple (msgpack::object const &o)
std::size_t | size () const

## Member Typedef Documentation

## value_type

typedef tuple msgpack::type::tuple<>::value_type

## Constructor & Destructor Documentation

## tuple() [1/2]

msgpack::type::tuple<>::tuple | ( |  | ) |

inline

## tuple() [2/2]

msgpack::type::tuple<>::tuple | ( | msgpack::object const & | o | ) |

inline

References msgpack::object::convert().

## Member Function Documentation

## size()

std::size_t msgpack::type::tuple<>::size | ( |  | ) | const

inline

References msgpack::object::convert(), and msgpack::type::size().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/detail/cpp03_msgpack_tuple.hpp